% Matlab Mistuning Code: Version 1.0
%
% Created by: Benjamin Shapiro,
%             Control and Dynamical Systems
%             California Institute of Technology
%             Pasadena, CA 91125.
%             bshapiro@indra.caltech.edu
%
% *********************************************************
%
% File: Errors.m
% Purpose: Compare exact (specific z) to approximate (valid
%   for any z) answers.
% Last Update: 29/03/98 by B.Shapiro
%
% *********************************************************

% I think when its saving Mrow as a symbol (in my save 
% command) it writes all the numerical values as huge
% fractions. This makes a mess when I try to evaluate the
% stuff below. How to prevent ?


% First construct the full matrix M(z)
syms M;
    
    % Define symbolic variable y
    for i = 1:r
      eval(['syms y' num2str(i)]);    % Temp mistuning vector
    end;
    y = y1;
    for i = 2:r
      y = [y, eval(['y' num2str(i)]) ];
    end;

    % Construct M(y)
    M = subs(Mrow,z,y);
    for j = 1:r-1
       M = [ M; 
             rot( subs( Mrow, z, rot(y,j,1,r) )  ,r-j,d,r) ];
     end

    % Convert M(y) to M(z)
    M = subs(M,y,z);
% Use this to check derivatives dM/dz1 used in code.
% [I can use this piece of code in Error portion.]



