function x = M(y,z,Mrow,d,r)



    % Construct M(y)
    x = subs(Mrow,z,y);
    for j = 1:r-1
       x = [ x; 
             rot( subs( Mrow, z, rot(y,j,1,r) )  ,r-j,d,r) ];
     end

 
% Constructs M(y) for any chosen numeric z.

% B. Shapiro, Caltech, 29/03/98.
